package emps.v2_obiektowo;

import java.util.List;

// Wypisujemy dane pracowników zarabiających >= 10 tys
public class P2_WypiszBogatych {

	public static void main(String[] args) {
		int limit = 10000;
		
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		System.out.printf("Co najmniej %d zarbiają pracownicy:%n", limit);
		for(Employee emp : emps) {
			if(emp.getSalary() >= limit) {
				System.out.printf(" * %s %s (%s) z pensją %s%n",
					emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
			}
		}
	}

}
